<script type="text/javascript" src="/js/select2.js"></script>

<link rel="stylesheet" href="/css/select2.min.css">
<link rel="stylesheet" href="/css/instant-book/style.css">

<script>
    var InstantBook = {
        init: function () {
            this.initTime();
            this.initIncallOutcall();
        },
        initTime: function () {
            $('#hour').select2();
            $('#minute').select2();
        },
        initIncallOutcall: function () {
            $('.outcall').click(function () {
                $(this).addClass('d-none');
                $('#outcall_address').addClass('d-none');
                $('.incall').removeClass('d-none');
            });

            $('.incall').click(function () {
                $(this).addClass('d-none');
                $('#outcall_address').removeClass('d-none');
                $('.outcall').removeClass('d-none');
            });
        }
    };

    function ChooseNumber(obj) {

        if (!obj) return;

        this.numbers = obj.numbers;
        this.area = $(obj.area);
        this.current_value = this.numbers[0];

        //Adding Number textfield
        $('<span class="number" data-number="' + this.numbers[0] + '">' + this.numbers[0] + '</span>').appendTo(this.area);
        //Adding Left Arrow
        $('<span class="left-arrow">&#10094</span>').prependTo(this.area);
        //Adding Right Arrow
        $('<span class="right-arrow"> &#10095</span>').appendTo(this.area);
        //Adding input for number
        $('<input/>', {
            'value': this.numbers[0],
            'class': 'input-number',
            "name": obj.inputName,
            type: 'hidden'
        }).appendTo(this.area);


        //ADDING EVENT LISTENERS
        var _self = this;

        this.area.find('.left-arrow').click(function () {

            var last_index = parseInt(_self.numbers.length) - 1;

            var index = (_self.current_value === _self.numbers[0])
                ? last_index
                : (_self.numbers.indexOf(_self.current_value)) - 1;

            _self.current_value = _self.numbers[index];

            $(this).parent().find('.number').html(_self.current_value);
            $(this).parent().find('.input-number').val(_self.current_value);
        });

        this.area.find('.right-arrow').click(function () {

            var index = (_self.current_value === _self.numbers[_self.numbers.length - 1])
                ? 0
                : (_self.numbers.indexOf(_self.current_value)) + 1;

            _self.current_value = _self.numbers[index];

            $(this).parent().find('.number').html(_self.current_value);
            $(this).parent().find('.input-number').val(_self.current_value);
        });

    }


    $(document).ready(function () {

        InstantBook.init();

        new ChooseNumber({
            area: '#duration',
            numbers: [
                1, 2, 3, 4, 5, 6, 7, 8, 9, 10
            ],
            inputName: 'duration'
        });

        new ChooseNumber({
            area: '#answers_minute',
            numbers: [
                5, 10, 15
            ],
            inputName: 'answers_minute'
        });
    })


</script>

<div id="instant-book-section">
    <div class="p-20">
        <p class="pharagraph f-17">
            <?= $this->t('instant_book') ?>:
        </p>
        <p class="pharagraph-blue f-17">
            BARBERINI_CENTRO
        </p>
    </div>
    <!--        FIRST SECTION -->
    <div class="light-blue">
        <div class="p-20 d-flex">
            <div class="f-17">
                <p class="p-y-6"><?= $this->t('when') ?></p>
            </div>
            <div class="text-right" id="time-picker">

                <span class="pharagraph-blue f-25">
                         <select name="hour" id="hour">
                            <?php for ($i = 1; $i < 24; $i++): ?>
                                <option value="<?= $i ?>" <?= $i == 20 ? 'selected' : '' ?>><?= $i ?></option>
                            <?php endfor; ?>
                         </select>
                </span>

                <span class="pharagraph-blue">:</span>

                <span class="pharagraph-blue f-25">
                      <select name="minute" id="minute">
                            <?php for ($i = 1; $i < 60; $i++): ?>
                                <option value="<?= $i ?>" <?= $i == 45 ? 'selected' : '' ?> ><?= $i ?></option>
                            <?php endfor; ?>
                         </select>
                </span>

            </div>
        </div>
    </div>
    <!--     END  FIRST SECTION -->

    <!--        SECOND SECTION -->
    <div>
        <div class="p-20 d-flex">
            <div class="f-17">
                <p>
                    <?= $this->t('duration_hours') ?>
                    <br/>
                    <span class="f-14">
                        <span><?= $this->t('total') ?>:</span>
                        <span> 300 </span>
                        <span><?= $this->t('usd') ?></span>
                    </span>
                </p>
            </div>
            <div class="text-right">

                <span class="pharagraph-blue f-25" id="duration">
                </span>
            </div>
        </div>
    </div>
    <!--     END  SECOND SECTION -->

    <!--     THIRD SECTION -->
    <div class="light-blue">
        <div class="p-20 d-flex">
            <div class="f-17">
                <p class="p-y-6"><?= $this->t('location') ?></p>
            </div>
            <div class="text-right pharagraph-blue f-25">

                <span class="outcall">
                    <?= $this->t('outcall') ?>
                </span>
                <span class="incall d-none">
                    <?= $this->t('incall') ?>
                </span>

                <span>
                    ↻
                </span>
            </div>
        </div>

        <div class="form-group p-b-20" id="outcall_address">
            <input type="text" required class="bg-light-blue custom-input">
            <label><?= $this->t('outcall_address') ?></label>
        </div>
    </div
            <!--     END  THIRD SECTION -->

            <!--     4 SECTION -->
    <div>
        <div class="p-20 d-flex">
            <div class="f-17">
                <p class="p-y-6"><?= $this->t('special_request') ?></p>
            </div>
        </div>

        <div class="form-group p-b-20">
            <input type="text" required class="bg-white custom-input">
            <label><?= $this->t('anything_you_want') ?></label>
        </div>
    </div
            <!--     END  4 SECTION -->


            <!--     5 SECTION -->
    <div class="light-blue">
        <div class="p-20 d-flex">
            <div class="f-17">
                <p class="p-y-6"><?= $this->t('communication') ?></p>
            </div>
        </div>

        <div class="form-group p-b-20">
            <input type="text" required class="bg-light-blue custom-input">
            <label><?= $this->t('phone_number') ?></label>
        </div>


        <div class="p-20 d-flex flex-wrap inner-flex-basis p-t-0">
            <div class="m-y-6">
                <input id="viber" name="viber" type="checkbox" class="checkbox-custom">
                <label class="p-l-4" for="viber"><?= $this->t('viber'); ?></label>
            </div>
            <div class="m-y-6">
                <input id="whatsapp" name="whatsapp" type="checkbox" class="checkbox-custom">
                <label class="p-l-4" for="whatsapp"><?= $this->t('whatsapp'); ?></label>
            </div>
            <div class="m-y-6">
                <input id="sms" name="sms" type="checkbox" class="checkbox-custom">
                <label class="p-l-4" for="sms"><?= $this->t('sms'); ?></label>
            </div>
            <div class="m-y-6">
                <input id="phone_call" name="phone_call" type="checkbox" class="checkbox-custom">
                <label class="p-l-4" for="phone_call"><?= $this->t('phone_call'); ?></label>
            </div>
        </div>
    </div
            <!--     END  5 SECTION -->

            <!--        6 SECTION -->
    <div>
        <div class="p-20 d-flex">
            <div class="f-17">
                <p>
                    <?= $this->t('answers_in_min') ?>
                    <br/>
                    <span class="f-14">
                      (<?= $this->t('your_waiting_time') ?>)
                    </span>
                </p>
            </div>
            <div class="text-right">

                <span class="pharagraph-blue f-25" id="answers_minute">
                </span>
            </div>
        </div>
    </div>
    <!--     END  6 SECTION -->

    <button class="sticky-button btn-success paragraph-blue">SEND REQUEST</button>
</div>